<?php
class DD_FilterPlugin extends MantisPlugin {
 
	function register() {
		$this->name        = 'DD_Filter';
		$this->description = 'Enable DueDate filtering';
		$this->version     = '0.01';
		$this->requires    = array('MantisCore'       => '2.0.0',);
		$this->author      = 'Cas Nuy';
		$this->contact     = 'Cas-at-nuy.info';
		$this->url         = 'http://www.nuy.info';
	}

	function init() { 
		plugin_event_hook('EVENT_REPORT_BUG', 'LoadDD'); 
		plugin_event_hook('EVENT_UPDATE_BUG', 'LoadDD'); 
	}

	function LoadDD($p_event,$p_bugdata){
		# get ID of custom field to update
		$t_id = custom_field_get_id_from_name('DueDate');
		# take the due date of BUG_DATA
		$t_duedate = $p_bugdata->due_date;
		$t_bugid = $p_bugdata->id;
		# update custom field
		$ok = custom_field_set_value( $t_id, $t_bugid, $t_duedate, FALSE );
	}
}